use leptos::*;

/// Renders the home page of your application.
#[component]
pub fn HomePage() -> impl IntoView {
    // Creates a reactive value to update the button
    let on_click = move |_| {
        spawn_local(async {
            let _ =
                crate::util::surrealdb::add_participant(String::from("Test"), String::from("A1"))
                    .await;
        })
    };

    view! {
        <h1>"Welcome to Leptos!"</h1>
        <button on:click=on_click>"Click Me:"</button>
    }
}
